diff --git a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/service/persistence/impl/StatusPersistenceImpl.java b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/service/persistence/impl/StatusPersistenceImpl.java
index febf8a473ee..585d6055dd5 100644
--- a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/service/persistence/impl/StatusPersistenceImpl.java
+++ b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/service/persistence/impl/StatusPersistenceImpl.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.chat.service.persistence.impl;
@@ -101,7 +101,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByUserId(long userId) throws NoSuchStatusException {
 		Status status = fetchByUserId(userId);
 
@@ -131,7 +131,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param userId the user ID
 	 * @return the matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByUserId(long userId) {
 		return fetchByUserId(userId, true);
 	}
@@ -143,7 +143,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByUserId(long userId, boolean retrieveFromCache) {
 		Object[] finderArgs = new Object[] { userId };
 
@@ -225,7 +225,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param userId the user ID
 	 * @return the status that was removed
 	 */
-	@Override
+
 	public Status removeByUserId(long userId) throws NoSuchStatusException {
 		Status status = findByUserId(userId);
 
@@ -238,7 +238,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param userId the user ID
 	 * @return the number of matching statuses
 	 */
-	@Override
+
 	public int countByUserId(long userId) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_USERID;
 
@@ -311,7 +311,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param modifiedDate the modified date
 	 * @return the matching statuses
 	 */
-	@Override
+
 	public List<Status> findByModifiedDate(long modifiedDate) {
 		return findByModifiedDate(modifiedDate, QueryUtil.ALL_POS,
 			QueryUtil.ALL_POS, null);
@@ -329,7 +329,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param end the upper bound of the range of statuses (not inclusive)
 	 * @return the range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByModifiedDate(long modifiedDate, int start, int end) {
 		return findByModifiedDate(modifiedDate, start, end, null);
 	}
@@ -347,7 +347,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByModifiedDate(long modifiedDate, int start,
 		int end, OrderByComparator<Status> orderByComparator) {
 		return findByModifiedDate(modifiedDate, start, end, orderByComparator,
@@ -368,7 +368,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByModifiedDate(long modifiedDate, int start,
 		int end, OrderByComparator<Status> orderByComparator,
 		boolean retrieveFromCache) {
@@ -483,7 +483,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the first matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByModifiedDate_First(long modifiedDate,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -513,7 +513,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByModifiedDate_First(long modifiedDate,
 		OrderByComparator<Status> orderByComparator) {
 		List<Status> list = findByModifiedDate(modifiedDate, 0, 1,
@@ -534,7 +534,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the last matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByModifiedDate_Last(long modifiedDate,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -563,7 +563,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByModifiedDate_Last(long modifiedDate,
 		OrderByComparator<Status> orderByComparator) {
 		int count = countByModifiedDate(modifiedDate);
@@ -591,7 +591,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the previous, current, and next status
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status[] findByModifiedDate_PrevAndNext(long statusId,
 		long modifiedDate, OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -733,7 +733,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @param modifiedDate the modified date
 	 */
-	@Override
+
 	public void removeByModifiedDate(long modifiedDate) {
 		for (Status status : findByModifiedDate(modifiedDate,
 				QueryUtil.ALL_POS, QueryUtil.ALL_POS, null)) {
@@ -747,7 +747,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param modifiedDate the modified date
 	 * @return the number of matching statuses
 	 */
-	@Override
+
 	public int countByModifiedDate(long modifiedDate) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_MODIFIEDDATE;
 
@@ -819,7 +819,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param online the online
 	 * @return the matching statuses
 	 */
-	@Override
+
 	public List<Status> findByOnline(boolean online) {
 		return findByOnline(online, QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -836,7 +836,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param end the upper bound of the range of statuses (not inclusive)
 	 * @return the range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByOnline(boolean online, int start, int end) {
 		return findByOnline(online, start, end, null);
 	}
@@ -854,7 +854,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByOnline(boolean online, int start, int end,
 		OrderByComparator<Status> orderByComparator) {
 		return findByOnline(online, start, end, orderByComparator, true);
@@ -874,7 +874,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByOnline(boolean online, int start, int end,
 		OrderByComparator<Status> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -984,7 +984,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the first matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByOnline_First(boolean online,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1013,7 +1013,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByOnline_First(boolean online,
 		OrderByComparator<Status> orderByComparator) {
 		List<Status> list = findByOnline(online, 0, 1, orderByComparator);
@@ -1033,7 +1033,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the last matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByOnline_Last(boolean online,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1062,7 +1062,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByOnline_Last(boolean online,
 		OrderByComparator<Status> orderByComparator) {
 		int count = countByOnline(online);
@@ -1090,7 +1090,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the previous, current, and next status
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status[] findByOnline_PrevAndNext(long statusId, boolean online,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1232,7 +1232,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @param online the online
 	 */
-	@Override
+
 	public void removeByOnline(boolean online) {
 		for (Status status : findByOnline(online, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -1246,7 +1246,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param online the online
 	 * @return the number of matching statuses
 	 */
-	@Override
+
 	public int countByOnline(boolean online) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_ONLINE;
 
@@ -1319,7 +1319,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param online the online
 	 * @return the matching statuses
 	 */
-	@Override
+
 	public List<Status> findByM_O(long modifiedDate, boolean online) {
 		return findByM_O(modifiedDate, online, QueryUtil.ALL_POS,
 			QueryUtil.ALL_POS, null);
@@ -1338,7 +1338,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param end the upper bound of the range of statuses (not inclusive)
 	 * @return the range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByM_O(long modifiedDate, boolean online, int start,
 		int end) {
 		return findByM_O(modifiedDate, online, start, end, null);
@@ -1358,7 +1358,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByM_O(long modifiedDate, boolean online, int start,
 		int end, OrderByComparator<Status> orderByComparator) {
 		return findByM_O(modifiedDate, online, start, end, orderByComparator,
@@ -1380,7 +1380,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of matching statuses
 	 */
-	@Override
+
 	public List<Status> findByM_O(long modifiedDate, boolean online, int start,
 		int end, OrderByComparator<Status> orderByComparator,
 		boolean retrieveFromCache) {
@@ -1501,7 +1501,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the first matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByM_O_First(long modifiedDate, boolean online,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1534,7 +1534,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the first matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByM_O_First(long modifiedDate, boolean online,
 		OrderByComparator<Status> orderByComparator) {
 		List<Status> list = findByM_O(modifiedDate, online, 0, 1,
@@ -1556,7 +1556,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the last matching status
 	 * @throws NoSuchStatusException if a matching status could not be found
 	 */
-	@Override
+
 	public Status findByM_O_Last(long modifiedDate, boolean online,
 		OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1589,7 +1589,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the set by (optionally <code>null</code>)
 	 * @return the last matching status, or <code>null</code> if a matching status could not be found
 	 */
-	@Override
+
 	public Status fetchByM_O_Last(long modifiedDate, boolean online,
 		OrderByComparator<Status> orderByComparator) {
 		int count = countByM_O(modifiedDate, online);
@@ -1618,7 +1618,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the previous, current, and next status
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status[] findByM_O_PrevAndNext(long statusId, long modifiedDate,
 		boolean online, OrderByComparator<Status> orderByComparator)
 		throws NoSuchStatusException {
@@ -1765,7 +1765,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param modifiedDate the modified date
 	 * @param online the online
 	 */
-	@Override
+
 	public void removeByM_O(long modifiedDate, boolean online) {
 		for (Status status : findByM_O(modifiedDate, online, QueryUtil.ALL_POS,
 				QueryUtil.ALL_POS, null)) {
@@ -1780,7 +1780,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param online the online
 	 * @return the number of matching statuses
 	 */
-	@Override
+
 	public int countByM_O(long modifiedDate, boolean online) {
 		FinderPath finderPath = FINDER_PATH_COUNT_BY_M_O;
 
@@ -1841,7 +1841,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @param status the status
 	 */
-	@Override
+
 	public void cacheResult(Status status) {
 		entityCache.putResult(StatusModelImpl.ENTITY_CACHE_ENABLED,
 			StatusImpl.class, status.getPrimaryKey(), status);
@@ -1857,7 +1857,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @param statuses the statuses
 	 */
-	@Override
+
 	public void cacheResult(List<Status> statuses) {
 		for (Status status : statuses) {
 			if (entityCache.getResult(StatusModelImpl.ENTITY_CACHE_ENABLED,
@@ -1877,7 +1877,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache() {
 		entityCache.clearCache(StatusImpl.class);
 
@@ -1893,7 +1893,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * The {@link EntityCache} and {@link FinderCache} are both cleared by this method.
 	 * </p>
 	 */
-	@Override
+
 	public void clearCache(Status status) {
 		entityCache.removeResult(StatusModelImpl.ENTITY_CACHE_ENABLED,
 			StatusImpl.class, status.getPrimaryKey());
@@ -1904,7 +1904,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 		clearUniqueFindersCache((StatusModelImpl)status);
 	}
 
-	@Override
+
 	public void clearCache(List<Status> statuses) {
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITH_PAGINATION);
 		finderCache.clearCache(FINDER_CLASS_NAME_LIST_WITHOUT_PAGINATION);
@@ -1961,7 +1961,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param statusId the primary key for the new status
 	 * @return the new status
 	 */
-	@Override
+
 	public Status create(long statusId) {
 		Status status = new StatusImpl();
 
@@ -1978,7 +1978,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the status that was removed
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status remove(long statusId) throws NoSuchStatusException {
 		return remove((Serializable)statusId);
 	}
@@ -1990,7 +1990,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the status that was removed
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status remove(Serializable primaryKey) throws NoSuchStatusException {
 		Session session = null;
 
@@ -2021,7 +2021,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 		}
 	}
 
-	@Override
+
 	protected Status removeImpl(Status status) {
 		status = toUnwrappedModel(status);
 
@@ -2053,7 +2053,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 		return status;
 	}
 
-	@Override
+
 	public Status updateImpl(Status status) {
 		status = toUnwrappedModel(status);
 
@@ -2183,7 +2183,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the status
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status findByPrimaryKey(Serializable primaryKey)
 		throws NoSuchStatusException {
 		Status status = fetchByPrimaryKey(primaryKey);
@@ -2207,7 +2207,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @return the status
 	 * @throws NoSuchStatusException if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status findByPrimaryKey(long statusId) throws NoSuchStatusException {
 		return findByPrimaryKey((Serializable)statusId);
 	}
@@ -2218,7 +2218,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param primaryKey the primary key of the status
 	 * @return the status, or <code>null</code> if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status fetchByPrimaryKey(Serializable primaryKey) {
 		Status status = (Status)entityCache.getResult(StatusModelImpl.ENTITY_CACHE_ENABLED,
 				StatusImpl.class, primaryKey);
@@ -2263,12 +2263,12 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param statusId the primary key of the status
 	 * @return the status, or <code>null</code> if a status with the primary key could not be found
 	 */
-	@Override
+
 	public Status fetchByPrimaryKey(long statusId) {
 		return fetchByPrimaryKey((Serializable)statusId);
 	}
 
-	@Override
+
 	public Map<Serializable, Status> fetchByPrimaryKeys(
 		Set<Serializable> primaryKeys) {
 		if (primaryKeys.isEmpty()) {
@@ -2365,7 +2365,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @return the statuses
 	 */
-	@Override
+
 	public List<Status> findAll() {
 		return findAll(QueryUtil.ALL_POS, QueryUtil.ALL_POS, null);
 	}
@@ -2381,7 +2381,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param end the upper bound of the range of statuses (not inclusive)
 	 * @return the range of statuses
 	 */
-	@Override
+
 	public List<Status> findAll(int start, int end) {
 		return findAll(start, end, null);
 	}
@@ -2398,7 +2398,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param orderByComparator the comparator to order the results by (optionally <code>null</code>)
 	 * @return the ordered range of statuses
 	 */
-	@Override
+
 	public List<Status> findAll(int start, int end,
 		OrderByComparator<Status> orderByComparator) {
 		return findAll(start, end, orderByComparator, true);
@@ -2417,7 +2417,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * @param retrieveFromCache whether to retrieve from the finder cache
 	 * @return the ordered range of statuses
 	 */
-	@Override
+
 	public List<Status> findAll(int start, int end,
 		OrderByComparator<Status> orderByComparator, boolean retrieveFromCache) {
 		boolean pagination = true;
@@ -2506,7 +2506,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 * Removes all the statuses from the database.
 	 *
 	 */
-	@Override
+
 	public void removeAll() {
 		for (Status status : findAll()) {
 			remove(status);
@@ -2518,7 +2518,7 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 	 *
 	 * @return the number of statuses
 	 */
-	@Override
+
 	public int countAll() {
 		Long count = (Long)finderCache.getResult(FINDER_PATH_COUNT_ALL,
 				FINDER_ARGS_EMPTY, this);
@@ -2550,12 +2550,12 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 		return count.intValue();
 	}
 
-	@Override
+
 	public Set<String> getBadColumnNames() {
 		return _badColumnNames;
 	}
 
-	@Override
+
 	protected Map<String, Integer> getTableColumnsMap() {
 		return StatusModelImpl.TABLE_COLUMNS_MAP;
 	}
@@ -2588,19 +2588,19 @@ public class StatusPersistenceImpl extends BasePersistenceImpl<Status>
 				"online"
 			});
 	private static final Status _nullStatus = new StatusImpl() {
-			@Override
+
 			public Object clone() {
 				return this;
 			}
 
-			@Override
+
 			public CacheModel<Status> toCacheModel() {
 				return _nullStatusCacheModel;
 			}
 		};
 
 	private static final CacheModel<Status> _nullStatusCacheModel = new CacheModel<Status>() {
-			@Override
+
 			public Status toEntityModel() {
 				return _nullStatus;
 			}
diff --git a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinder.java b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinder.java
index cb2417598cf..b5310561808 100644
--- a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinder.java
+++ b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinder.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.chat.util;
diff --git a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinderUtil.java b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinderUtil.java
index 94ffa9f4efe..86a84eae053 100644
--- a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinderUtil.java
+++ b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/BuddyFinderUtil.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.chat.util;
diff --git a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatConstants.java b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatConstants.java
index 4387d16839e..bf4f22bdf25 100644
--- a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatConstants.java
+++ b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatConstants.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.chat.util;
diff --git a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatExtensionsUtil.java b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatExtensionsUtil.java
index c8270b1a1d9..91072c51bf4 100644
--- a/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatExtensionsUtil.java
+++ b/portlets/chat-portlet/docroot/WEB-INF/src/com/liferay/chat/util/ChatExtensionsUtil.java
@@ -1,15 +1,15 @@
 /**
  * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
  *
- * This library is free software; you can redistribute it and/or modify it under
- * the terms of the GNU Lesser General Public License as published by the Free
- * Software Foundation; either version 2.1 of the License, or (at your option)
- * any later version.
+ * The contents of this file are subject to the terms of the applicable 
+ * Liferay software end user license agreement ("License Agreement")
+ * found on www.liferay.com/legal/eulas. You may also contact Liferay, Inc.
+ * for a copy of the License Agreement. You may not use this file except in
+ * compliance with the License Agreement. 
+ * See the License Agreement for the specific language governing
+ * permissions and limitations under the License Agreement, including 
+ * but not limited to distribution rights of the Software.
  *
- * This library is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
- * details.
  */
 
 package com.liferay.chat.util;
